import { mount } from 'enzyme'
import React from 'react'
import HalfHourNoData from './HalfHourNoData'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('HalfHourNoData component', () => {
  it('should render correctly HalfHourNoData', () => {
    const component = mount(<HalfHourNoData />)
    expect(component).toMatchSnapshot()
  })
})
