import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React from 'react'
import './matomoOptOut.scss'

declare let __PIWIK_TRACKER_URL__: string

const MatomoOptOut: React.FC = () => {
  const { t } = useI18n()
  const baseUrl = __PIWIK_TRACKER_URL__

  return (
    <div className="matomo-opt-out-container">
      <div className="matomo-opt-out">
        <div className="opt-out-header text-16-normal-uppercase">
          {t('matomo.matomo_title')}
        </div>
        <iframe
          style={{ height: '250px' }}
          src={`${baseUrl}index.php?module=CoreAdminHome&action=optOut&language=fr&backgroundColor=121212&fontColor=e0e0e0&fontSize=&fontFamily=sans-serif`}
        />
      </div>
    </div>
  )
}

export default MatomoOptOut
